// index.js
// 获取应用实例
const app = getApp();
const util = require('../../../utils/jmsUtil.js');
const api = require('../../../api/jms.js');
import moment from 'moment'
Page({
  data: {
	
		serviceId:'',
		keywords:'',
		wholeList:[],
		workerList:[],
		scrollShow:false,
		orderInfo:{
			consignee:'',
			mobile:'',
			address:'',
			bookDate:'',
			time:'',
			workerName:'',
		  workerId:'' ,
			workerTel:''
		},
		selectValue:'',
		selectVisible:false,
		selectKey:'',
		timeList:[],
		currentDate:new Date().getTime(),


  
  },
  // 事件处理函数
 
  onLoad(options) {
		let orderInfo=app.globalData.orderInfo;

		console.log(orderInfo);
		let time= (orderInfo.bookStartTime ? (orderInfo.bookStartTime + '-' + orderInfo.bookEndTime) : '');
		orderInfo.time=time;
		this.setData({
			orderInfo:orderInfo
		});
		
		this.getWorkerList();
		this.getTimeList();

	},
	onshow(){
		  // 页面显示
			// const location = chooseLocation.getLocation();
			// console.log(location);
			// if(location!=null){
			
			
			// 	this.setData({
			// 		'orderInfo.address': location.address,
			// 		'orderInfo.position': location.longitude+','+location.latitude,

			// 	});
			// }
	},
	getWorkerList(){
		util.request(api.ServiceOrderPerson, {
			pageNo: 1, pageSize: 1000
		}, 'POST').then(res=>{
		 if (res.errno == 0) {
		
	    this.setData({
				wholeList:res.data.list,
        workerList:res.data.list,
			});

		 }else{
			 wx.showToast({
				 title: res.errmsg,
				 icon:'none'
			 })
		 }
	 
	 });
	
	},
	getTimeList(){
		util.request(api.GetGoodsTimeRange, {
			orderId:this.data.orderInfo.orderId
		}, 'GET').then(res=>{
		 if (res.errno == 0) {
		
	    this.setData({
				timeList:res.data,
			});

		 }else{
			 wx.showToast({
				 title: res.errmsg,
				 icon:'none'
			 })
		 }
	 
	 });
	
	},


	inputClue(e){
		let obj=e.currentTarget.dataset.obj;
		let item=`clueInfo.${obj}`;
		this.setData({
     [item]:e.detail.value
		});
		// console.log(this.data.clueInfo);
	},
	selectClue(e){
		let obj=e.currentTarget.dataset.obj;
	
		this.setData({
			selectKey:obj,
			selectVisible:true
		});
		console.log(this.data.selectKey);
	},


	onPickerConfirm(e){
		console.log(e);
		let obj={
			label:e.detail.value.text,
			value:e.detail.value.value
		}
		this.setData({
			'orderInfo.changeReason':obj,
			selectVisible:false
		});
	},
	onPickerCancel(){
		this.setData({
			selectVisible:true
		});
	},
	inputWorker(e){
		// console.log(e);
		let keywords=e.detail.value;
		let list=this.data.wholeList;
		let newList=[];
		if(keywords==''){
			newList=this.data.wholeList;
			this.setData({
				'orderInfo.workerId':''
			});
		}else{
			list.forEach(item=>{
				if(item.name.indexOf(keywords)>-1){
          newList.push(item);
				}
         
			});
		}
		this.setData({
			workerList:newList
		});
	
	},
	selectWorker(){
    this.setData({
			scrollShow:true
		});
	},
	workerTap(e){
		let id=e.currentTarget.dataset.id;
		let name=e.currentTarget.dataset.name;
		let workerTel=e.currentTarget.dataset.tel;
		this.setData({
			'orderInfo.workerId':id,
			'orderInfo.workerName':name,
			'orderInfo.workerTel':workerTel,
			scrollShow:false,
		})
		
	},
	selectDateTime(){
    this.setData({
			dateTimeVisible:true
		});
	},
	hidePicker(){
    this.setData({
			dateTimeVisible:false
		});
	},
	
	onDateTimeConfirm(e){
		console.log(e);
		this.setData({
	 currentDate:e.detail,
	 'orderInfo.bookDate':util.formetdate(new Date(e.detail)),
	 dateTimeVisible:false
		});
	},
	selectDate(e){
	
		this.setData({
			selectVisible:true
		});
		
	},
	onPickerConfirm(e){
		console.log(e);
	
		this.setData({
			'orderInfo.time':e.detail.value,
			selectVisible:false
		});
	},
	onPickerCancel(){
		this.setData({
			selectVisible:false
		});
	},
	inputAddress(e){
		this.setData({
     address:e.detail.value
		});
	},
	goMap(){
    // const key = "JA2BZ-XGOEU-UNZVD-46G64-S6MYJ-6BBF4";
    //使用在腾讯位置服务申请的key
//     const key = '6TRBZ-XXC6F-BWWJB-N75ME-BQNOF-YKFQY'; 
// const referer = '鲸致生活'; //调用插件的app的名称

// const category = '小区,生活服务,娱乐休闲';
 
// wx.navigateTo({
//   url: 'plugin://chooseLocation/index?key=' + key + '&referer=' + referer  + '&category=' + category
// });
let that=this;
let lnglat = that.data.orderInfo.position.split(',');
let lng = '';
let lat = "";
if (lnglat.length > 0) {
	lng = Number(lnglat[0]);
	lat = Number(lnglat[1]);
}
console.log(lng,lat);
wx.chooseLocation({
	longitude:lng,
	latitude:lat,
	success: function (location) {
		console.log(location);
		if(location!=null){
			that.setData({
				'orderInfo.address': location.address,
				'orderInfo.position': location.longitude+','+location.latitude,

			});
		}
	},
	fail:function(){
		console.log(res);
	}
})


  },
	confTap(){
		if(this.data.orderInfo.address==''){
			wx.showToast({
				title: '请输入预约地址',
				icon:'none'
			});
			return false;
		}
		if(this.data.orderInfo.bookDate==''){
			wx.showToast({
				title: '请选择预约日期',
				icon:'none'
			});
			return false;
		}
		if(this.data.orderInfo.time==''){
			wx.showToast({
				title: '请选择预约时间',
				icon:'none'
			});
			return false;
		}
		// if(this.data.orderInfo.workerId==''||this.data.orderInfo.workerName==''){
		// 	wx.showToast({
		// 		title: '请选择服务者',
		// 		icon:'none'
		// 	});
		// 	return false;
		// }
			wx.showLoading({
				title: '加载中',
			})
			let position=(this.data.orderInfo.position?this.data.orderInfo.position.split(','):[]);
			let params={
				addressDto: {
					addressDetail: this.data.orderInfo.address,
					name: this.data.orderInfo.consignee,
					tel: this.data.orderInfo.mobile,
					lng: position.length>0?Number(position[0]).toFixed(5)+'':'',
					lat: position.length>0?Number(position[1]).toFixed(5)+'':'',
			},
			serviceId: this.data.orderInfo.serviceId,
			bookDate: this.data.orderInfo.bookDate,
			bookTime: this.data.orderInfo.time,
			orderId: this.data.orderInfo.orderId,
			servantId: this.data.orderInfo.workerId,
			servantName: this.data.orderInfo.workerName,
			cancelBookOrderDetail: 0,
			servantMobile: this.data.orderInfo.workerTel, 

			}
			util.request(api.UpdateOrderAddressV2, 
			params
			, 'POST').then(res=>{
				wx.hideLoading();
			 if (res.errno == 0) {
		
			wx.showModal({
				title: '提示',
				content: '操作成功',
				showCancel:false,
				complete: (res) => {
					if (res.cancel) {
						
					}
			
					if (res.confirm) {
						wx.navigateBack({
							delta:1
						});
					
					}
				}
			})
		
	
			 }else{
				 wx.showToast({
					 title: res.errmsg,
					 icon:'none'
				 })
			 }
		 
		 }).catch(err=>{
			 wx.hideLoading();
		 });
		

	},
 
})
