const app = getApp()
const util = require("../../../utils/jmsUtil.js");
const api = require('../../../api/jms.js');
import moment from 'moment'



Page({
  data: {
		id:'',
		orderId:'',
		refundDetail:{},
		logList:[],
		orderInfo:{},
		orderBookInfo:[],
   type:'1',
		statusDesc: {
			0: "",
			1: "待审核",
			2: "审核通过",
			3: "退款成功",
			4: "审核未通过",
			5:"退款失败"
	},
	
	typeTag: ["", "primary","success","success", "warning", "warning"],
ccResultList:{  
  Y: "成立",
  N: "不成立",
  // O: "无法判定",
},
ccResList:{
  P: "服务人员",
  S: "商家运营",
  C: "客服",
  O: "其他"
},
refundMethodDesc:{
  1: "银行卡",
  2: "支付宝",
  3: "微信",
  4: "盒马二线手工退",
  5: "盒马XP工单退"
} 


   

  },

 
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      if(options.id||options.orderId){
				this.setData({
					id:options.id,
					orderId:options.orderId,
					refundDetail:app.globalData.refundDetail
				});
				
				// this.getTicketDetail();
			}


	},
	onChange(e){
		this.setData({
			type:e.detail.name
		});
	},
	getTicketDetail(){
		util.request(api.GetAftersaleById, {
		id:this.data.id
		}, 'GET').then(res=>{
		 if (res.errno == 0) {
			 	 let actions=res.data;
			 let list=[];
			 actions.forEach(item=>{
           let obj={
						inactiveIcon: 'passed',
						activeIcon: 'passed',
						 text:"["+item.statusName+'] '+item.comment,
						 desc:item.createTime+' '+item.handlerName
					 };
					 list.push(obj);

			 });
			this.setData({
				logList:list
			});

	    // this.setData({
			// 	actions:res.data.acitons,
			// 	consults:res.data.consults,
			// 	consultslist:res.data.consultslist,
			// 	ticket:res.data.ticket
			// });
			//  let actions=res.data.actions;
			//  let list=[];
			//  actions.forEach(item=>{
      //      let obj={
			// 			inactiveIcon: 'passed',
			// 			activeIcon: 'passed',
			// 			 text:"["+item.statusDes+'] '+item.content,
			// 			 desc:item.createTime+' '+item.createUserName
			// 		 };
			// 		 list.push(obj);

			//  });
			//  this.setData({
			// 	 actions:list
			//  });
		 }else{
			 wx.showToast({
				 title: res.errmsg,
				 icon:'none'
			 })
		 }
	 
	 });
	},
	getOrderGoodsDetail(){
		util.request(api.GetOrderGoodsById, {
		orderId:this.data.orderId
		}, 'GET').then(res=>{
		 if (res.errno == 0) {
			this.setData({
				orderInfo:res.data
			});
   
	    // this.setData({
			// 	actions:res.data.acitons,
			// 	consults:res.data.consults,
			// 	consultslist:res.data.consultslist,
			// 	ticket:res.data.ticket
			// });
			//  let actions=res.data.actions;
			//  let list=[];
			//  actions.forEach(item=>{
      //      let obj={
			// 			inactiveIcon: 'passed',
			// 			activeIcon: 'passed',
			// 			 text:"["+item.statusDes+'] '+item.content,
			// 			 desc:item.createTime+' '+item.createUserName
			// 		 };
			// 		 list.push(obj);

			//  });
			//  this.setData({
			// 	 actions:list
			//  });
		 }else{
			 wx.showToast({
				 title: res.errmsg,
				 icon:'none'
			 })
		 }
	 
	 });
	},
	getOrderBookDetail(){
		util.request(api.GetOrderBookDetailByOrderId, {
		orderId:this.data.orderId,
		fraId:app.globalData.userInfo.fraId
		}, 'GET').then(res=>{
		 if (res.errno == 0) {
		
     this.setData({
			 orderBookInfo:res.data
		 });
	    // this.setData({
			// 	actions:res.data.acitons,
			// 	consults:res.data.consults,
			// 	consultslist:res.data.consultslist,
			// 	ticket:res.data.ticket
			// });
			//  let actions=res.data.actions;
			//  let list=[];
			//  actions.forEach(item=>{
      //      let obj={
			// 			inactiveIcon: 'passed',
			// 			activeIcon: 'passed',
			// 			 text:"["+item.statusDes+'] '+item.content,
			// 			 desc:item.createTime+' '+item.createUserName
			// 		 };
			// 		 list.push(obj);

			//  });
			//  this.setData({
			// 	 actions:list
			//  });
		 }else{
			 wx.showToast({
				 title: res.errmsg,
				 icon:'none'
			 })
		 }
	 
	 });
	},
 
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
		this.getTicketDetail();
		this.getOrderGoodsDetail();
		this.getOrderBookDetail();
  },


 



  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

	},

	preImg(e){
		let url=e.currentTarget.dataset.url;
		wx.previewImage({
      current: url, // 当前显示图片的http链接
      urls: this.data.refundDetail.pictures// 需要预览的图片http链接列表
    })
	},

	goRemark(){
		wx.navigateTo({
			url: '/pages/refund/refundRemark/refundRemark?id='+this.data.id
		});
	},
	handleAudit(e){
		let type=e.currentTarget.dataset.type;
		wx.navigateTo({
			url: '/pages/refund/refundAudit/refundAudit?id='+this.data.id+'&orderId='+this.data.orderId+'&type='+type
		});
	},





 

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

})